'use strict';

exports.__esModule = true;
exports['default'] = combineReducers;
function pickReducer(reducers) {
  return Object.keys(reducers).reduce(function (result, key) {
    var reducer = reducers[key];
    if (typeof reducer === 'function') {
      result[key] = reducer;
    }

    return result;
  }, {});
}

function combineReducers(reducers) {
  var finalReducers = pickReducer(reducers);
  var keys = Object.keys(finalReducers);

  return function () {
    var state = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
    var action = arguments.length <= 1 || arguments[1] === undefined ? undefined : arguments[1];

    return keys.reduce(function (result, key) {
      result[key] = finalReducers[key](state[key], action);
      return result;
    }, {});
  };
}

module.exports = exports['default'];